Subject: [bug#37868] Loading modules built using linux-module-build-system

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Dec 2019 19:55:16 +0100

Hello,

Danny Milosavljevic <[email-masked]> skribis:

> On Sun, 17 Nov 2019 21:35:32 +0100
> Ludovic Courtès <[email-masked]> wrote:
>> Rather than a list, we could have a ‘make-linux-libre-union’ procedure
>> returning a <package>, so that we preserve consistent typing.
>> 
>> That is, people could write:
>> 
>>   (kernel linux-libre)
>> 
>> or:
>> 
>>   (kernel (make-linux-libre-union linux-libre some-package))
>> 
>> WDYT?
>
> Hmm, isn't it more like a profile?  I mean it would work the way above but
> there's (presumably) some reason why SOME-PACKAGE was an extra package.

You’re right, the union thing above is like a profile.

> We don't have to use the /run/current-system/profile for that, it could be
> a new one.
>
> What are the downside of using a profile vs. using a package in that way?

No downside to using a profile, as long as it’s not
/run/current-system/profile.  The only remaining question is the
programming interface.

Possible options include ‘make-linux-libre-union’ above or a new
‘linux-module-packages’ field in <operating-system> as discussed at
<https://lists.gnu.org/archive/html/guix-devel/2019-10/msg00514.html>.

HTH,
Ludo’.